Skip to main content
GET
https://api-zangtable.com
/
projects
/
{project}
/
auth
/
me
GET /projects/{project}/auth/me
curl --request GET \
  --url https://api-zangtable.com/projects/{project}/auth/me \
  --header 'Authorization: <authorization>'
{
  "ok": true,
  "data": {},
  "error": {},
  "request_id": "<string>"
}
Returns the authenticated Project API Token summary.

Endpoint details

Authorization
string
required
Bearer pat_... (Project API Token). Keep this token on your backend/server.
project
string
required
Project slug. This acts as the Project ID in API paths.
ok
boolean
required
true for a successful response and false for an error response.
data
object | null
Endpoint-specific response data when ok is true; null on errors.
error
object | null
Error code and message when ok is false; null on success.
request_id
string
required
Request identifier you can use when troubleshooting a specific API call.

Authentication

Project API Token.

Parameters

No parameters.

Request examples

Basic request:
curl -X GET "$BASE_URL/projects/{project}/auth/me" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN'
Full request:
curl -X GET "$BASE_URL/projects/{project}/auth/me" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN' \
  -H 'X-Operation-Key: edit-profile-email' \
  -H 'X-Operation-Run-Id: oprun_client_20260602_001'

Response examples

Success:
{
  "ok": true,
  "data": {
    "token": {
      "id": 11,
      "token_type": "project_api_token",
      "token_name": "production-api",
      "expires_at": null,
      "revoked_at": null,
      "last_used_at": "2026-06-02T01:23:45Z",
      "created_at": "2026-06-02T01:00:00Z"
    }
  },
  "error": null,
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "operation_key": "edit-profile-email",
  "operation_run_id": "oprun_20260602T012300_000000Z_a1b2c3d4e5f6",
  "operation_grouping_status": "accepted_provided_run",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}
Error or alternate response:
{
  "ok": false,
  "data": null,
  "error": {
    "code": "invalid_token",
    "message": "Token is expired, revoked, or invalid."
  },
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}